TRACKRENAME(1)

NAME
trackrename - renames files based on metadata

SYNOPSIS
trackrename [OPTIONS] <track 1> [track 2] ...

DESCRIPTION

trackrename takes a list of audio files and renames them based on external or internal metadata.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit format string in interactive mode prior to renaming tracks

--format=STRING
    The format string to use for new filenames. Template fields are replaced with metadata values when new tracks are created. All other text is left as-is. If this option is omitted, a default format string is used.

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

EXAMPLES

Rename all of the FLAC files in the current directory based on their FLAC tag metadata:

    track2rename *.flac

Rename file.flac with a custom template:

    trackrename "--format=%(track_number)2.2d - %(album_name)s - %(track_name)s.%(suffix)s" file.flac

FORMAT STRING FIELDS
Template Fields
Key | Value
%(track_number)2.2d | the track's number on the CD
%(track_total)d | the total number of tracks on the CD
%(album_number)d | the CD's album number
%(album_total)d | the total number of CDs in the set
%(album_track_number)s | combination of album and track number
%(track_name)s | the track's name
%(album_name)s | the album's name
%(artist_name)s | the track's artist name
%(performer_name)s | the track's performer name
%(composer_name)s | the track's composer name
%(conductor_name)s | the track's conductor name
%(media)s | the track's source media
%(ISRC)s | the track's ISRC
%(catalog)s | the track's catalog number
%(copyright)s | the track's copyright information
%(publisher)s | the track's publisher
%(year)s | the track's publication year
%(date)s | the track's original recording date
%(suffix)s | the track's suffix
%(basename)s | the track's original name, without suffix

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger